﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO;

namespace TVPlayer
{
    public partial class HelpWindow : Form
    {
        public HelpWindow()
        {
            InitializeComponent();

        }

        private void HelpWindow_Load(object sender, EventArgs e)
        {
            string filename = Path.GetDirectoryName(Application.ExecutablePath) + "\\Help.rtf";
            if (!File.Exists(filename))
            {
                richTextBoxHelp.Text = "About-file is missing.";
                return;
            }

            richTextBoxHelp.LoadFile(filename);
        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}
